<div class="col-10 mt-5">
    <h3>{{title}}</h3>
    <!--Listado de mensajes enviados-->
    <div class="" *ngIf="messages">
        <div class="card col-12 card-users" *ngFor="let message of messages">
            <div class="card-body d-flex flex-row">
                <div class="row col-12">
                    <div class="col-12 col-lg-1">
                        <img src="{{url + 'get-image-user/'+ message.emitter.image }}" alt="" class="avatar-users"
                            *ngIf="message.emitter.image" />
                        <img src="assets/icon-user-default.png" class="avatar-users" alt=""
                            *ngIf="!message.emitter.image" />
                    </div>
                    <div class="col-12 col-lg-10">
                        <a [routerLink]="['/profile',message.emitter._id]">
                            <span class="font-weight-bold">{{message.emitter.name +" "+message.emitter.surname}}</span>
                            
                        </a>
                        <span class="publication-time">
                                &nbsp;|&nbsp;{{(message.created_at | amFromUnix) | amLocale:'es' | amTimeAgo }}
                        </span>
                        &nbsp;  Enviado a <span class="font-weight-bold"><a [routerLink]="['/profile',message.receiver._id]">{{message.receiver.name +' '+ message.receiver.surname}}</a></span>
                        <br>
                        <span>{{message.emitter.nick}}</span>

                        <div class="col-12 mt-4">
                            {{message.text}}
                           
                        </div>
                    </div>   
                </div>
            </div>
        </div>

        <!--Paginación-->
        <div class="clearfix"></div>
        <div class="col-12 d-flex justify-content-center">
            <ul class="pagination">
                <li class="page-item" *ngIf="page>1">
                    <a class="page-link" [routerLink]="['/mensajes/enviados',prevPage]" aria-label="Previous">
                        <span aria-hidden="true">Anterior</span>
                    </a>
                </li>
                <li class="page-item" [ngClass]="{'active': page==pag}" *ngFor="let pag of arrayPages">
                    <a class="page-link" [routerLink]="['/mensajes/enviados',pag]">{{pag}}</a>
                </li>
                <li class="page-item" *ngIf="page!=pages">
                    <a class="page-link" [routerLink]="['/mensajes/enviados',nextPage]" aria-label="Next">
                        <span aria-hidden="true">Siguiente</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</div>